#include "findresultwidget.h"

#include <QLineEdit>
#include <QVBoxLayout>
#include <QPushButton>
#include <QTreeView>

#include <QMenuBar>
#include <QDebug>

#include "findresultmodel.h"

extern QString iconPath;

FindResultWidget::FindResultWidget(QWidget *)
{
	// Create model
	model=new FindResultModel;

	// Create TreeView
	view = new QTreeView;
	view->setModel (model);

    QVBoxLayout* mainLayout = new QVBoxLayout;
    QHBoxLayout *row2Layout = new QHBoxLayout;
    
	// Create Buttons
	cancelbutton = new QPushButton;
	//cancelbutton->setText(tr("Cancel"));
	cancelbutton->setIcon (QIcon (iconPath+"fileclose.png"));
	cancelbutton->setShortcut (Qt::Key_Escape);
	connect ( cancelbutton, SIGNAL( clicked() ), this, SLOT( cancelPressed() ) );

	row2Layout->addWidget (cancelbutton);
	//row2Layout->addWidget(findcombo);
	//row2Layout->addWidget(nextbutton);

	QMenuBar *mb=new QMenuBar;
	QAction *a=new  QAction ("Foo action",NULL);
	mb->addAction (a);
	mb->insertSeparator();
	mainLayout->addWidget(mb);
	mainLayout->addWidget(view);
	mainLayout->addLayout (row2Layout);

	setLayout (mainLayout);
}

void FindResultWidget::popup()
{
	show();
}

void FindResultWidget::cancelPressed()
{
	emit (hideFindResultWidget() );
}

#include <QHideEvent>
void FindResultWidget::hideEvent(QHideEvent *event) //FIXME-2 testing only
{
	qDebug()<<"FRW::hideEvent()";
	event->ignore();
}

